Справочник APIConsumerBilling
Preview_subscription_change
Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
new_plan_id?|
Format
uuidHeader Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/consumer/v1/billing/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/change-preview" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"{ "currency": "string", "current_plan_id": "89150343-edbe-45c2-aa9e-01d5c0ab84d8", "new_plan_id": "2d17ed43-dab8-4ccb-b506-9f23ea4d4c78", "next_invoice_total_minor": 0, "notes": [ "string" ], "proration_minor": 0, "vendor_type": "stripe"}